- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
MyMessageHandler Class Reference

`#include <MyMessageHandler.hpp>`

Inheritance diagram for MyMessageHandler:
[legend]
Collaboration diagram for MyMessageHandler:
[legend]

## Public Member Functions
Overrides
virtual int | print ()
| Print message, return 0 normally. More...
set and get
const ClpSimplex * | model () const
| Model. More...
void | setModel (ClpSimplex *model)
| Model. More...
const std::deque < StdVectorDouble > & | getFeasibleExtremePoints () const
| Get queue of feasible extreme points. More...
void | clearFeasibleExtremePoints ()
| Empty queue of feasible extreme points. More...
Constructors, destructor
| MyMessageHandler ()
| Default constructor. More...
| MyMessageHandler (ClpSimplex *model, FILE *userPointer=NULL)
| Constructor with pointer to model. More...
virtual | ~MyMessageHandler ()
| Destructor. More...
Copy method
| MyMessageHandler (const MyMessageHandler &)
| The copy constructor. More...
| MyMessageHandler (const CoinMessageHandler &)
| The copy constructor from an CoinSimplexMessageHandler. More...
MyMessageHandler & | operator= (const MyMessageHandler &)
| The copy constructor. More...
virtual CoinMessageHandler * | clone () const
| Clone. More...
Public Member Functions inherited from CoinMessageHandler
virtual void | checkSeverity ()
| Check message severity - if too bad then abort. More...
| CoinMessageHandler ()
| Constructor. More...
| CoinMessageHandler (FILE *fp)
| Constructor to put to file pointer (won't be closed) More...
virtual | ~CoinMessageHandler ()
| Destructor. More...
| CoinMessageHandler (const CoinMessageHandler &)
| The copy constructor. More...
CoinMessageHandler & | operator= (const CoinMessageHandler &)
| Assignment operator. More...
int | detail (int messageNumber, const CoinMessages &normalMessage) const
| Get detail level of a message. More...
int | logLevel () const
| Get current log (detail) level. More...
void | setLogLevel (int value)
| Set current log (detail) level. More...
int | logLevel (int which) const
| Get alternative log level. More...
void | setLogLevel (int which, int value)
| Set alternative log level value. More...
void | setPrecision (unsigned int new_precision)
| Set the number of significant digits for printing floating point numbers. More...
int | precision ()
| Current number of significant digits for printing floating point numbers. More...
void | setPrefix (bool yesNo)
| Switch message prefix on or off. More...
bool | prefix () const
| Current setting for printing message prefix. More...
double | doubleValue (int position) const
| Values of double fields already processed. More...
int | numberDoubleFields () const
| Number of double fields already processed. More...
int | intValue (int position) const
| Values of integer fields already processed. More...
int | numberIntFields () const
| Number of integer fields already processed. More...
char | charValue (int position) const
| Values of char fields already processed. More...
int | numberCharFields () const
| Number of char fields already processed. More...
std::string | stringValue (int position) const
| Values of string fields already processed. More...
int | numberStringFields () const
| Number of string fields already processed. More...
CoinOneMessage | currentMessage () const
| Current message. More...
std::string | currentSource () const
| Source of current message. More...
const char * | messageBuffer () const
| Output buffer. More...
int | highestNumber () const
| Highest message number (indicates any errors) More...
FILE * | filePointer () const
| Get current file pointer. More...
void | setFilePointer (FILE *fp)
| Set new file pointer. More...
CoinMessageHandler & | message (int messageNumber, const CoinMessages &messages)
| Start a message. More...
CoinMessageHandler & | message (int detail=-1)
| Start or continue a message. More...
CoinMessageHandler & | message (int externalNumber, const char *source, const char *msg, char severity, int detail=-1)
| Print a complete message. More...
CoinMessageHandler & | operator<< (int intvalue)
| Process an integer parameter value. More...
CoinMessageHandler & | operator<< (double doublevalue)
| Process a double parameter value. More...
CoinMessageHandler & | operator<< (const std::string &stringvalue)
| Process a STL string parameter value. More...
CoinMessageHandler & | operator<< (char charvalue)
| Process a char parameter value. More...
CoinMessageHandler & | operator<< (const char *stringvalue)
| Process a C-style string parameter value. More...
CoinMessageHandler & | operator<< (CoinMessageMarker)
| Process a marker. More...
int | finish ()
| Finish (and print) the message. More...
CoinMessageHandler & | printing (bool onOff)
| Enable or disable printing of an optional portion of a message. More...

## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
ClpSimplex * | model_
| Pointer back to model. More...
std::deque< StdVectorDouble > | feasibleExtremePoints_
| Saved extreme points. More...
int | iterationNumber_
| Iteration number so won't do same one twice. More...
Protected Attributes inherited from CoinMessageHandler
std::vector< double > | doubleValue_
| values in message More...
std::vector< int > | longValue_
| values in message More...
std::vector< char > | charValue_
| values in message More...
std::vector< std::string > | stringValue_
| values in message More...
int | logLevel_
| Log level. More...
int | logLevels_ [COIN_NUM_LOG]
| Log levels. More...
int | prefix_
| Whether we want prefix (may get more subtle so is int) More...
CoinOneMessage | currentMessage_
| Current message. More...
int | internalNumber_
| Internal number for use with enums. More...
char * | format_
| Format string for message (remainder) More...
char | messageBuffer_ [COIN_MESSAGE_HANDLER_MAX_BUFFER_SIZE]
| Output buffer. More...
char * | messageOut_
| Position in output buffer. More...
std::string | source_
| Current source of message. More...
int | printStatus_
| 0 - Normal. More...
int | highestNumber_
| Highest message number (indicates any errors) More...
FILE * | fp_
| File pointer. More...
char | g_format_ [8]
| Current format for floating point numbers. More...
int | g_precision_
| Current number of significant digits for floating point numbers. More...

## Detailed Description

Definition at line 28 of file MyMessageHandler.hpp.

## Constructor & Destructor Documentation

MyMessageHandler::MyMessageHandler | ( |  | ) |

Default constructor.

MyMessageHandler::MyMessageHandler | ( | ClpSimplex * | model,
|  | FILE * | userPointer = `NULL`
| ) |  |

Constructor with pointer to model.

virtual MyMessageHandler::~MyMessageHandler | ( |  | ) |
| virtual

Destructor.

MyMessageHandler::MyMessageHandler | ( | const MyMessageHandler & |  | ) |

The copy constructor.

MyMessageHandler::MyMessageHandler | ( | const CoinMessageHandler & |  | ) |

The copy constructor from an CoinSimplexMessageHandler.

## Member Function Documentation

virtual int MyMessageHandler::print | ( |  | ) |
| virtual

Print message, return 0 normally.

Reimplemented from CoinMessageHandler.

const ClpSimplex* MyMessageHandler::model | ( |  | ) | const

Model.

void MyMessageHandler::setModel | ( | ClpSimplex * | model | ) |

Model.

const std::deque<StdVectorDouble>& MyMessageHandler::getFeasibleExtremePoints | ( |  | ) | const

Get queue of feasible extreme points.

void MyMessageHandler::clearFeasibleExtremePoints | ( |  | ) |

Empty queue of feasible extreme points.

MyMessageHandler& MyMessageHandler::operator= | ( | const MyMessageHandler & |  | ) |

The copy constructor.

virtual CoinMessageHandler* MyMessageHandler::clone | ( |  | ) | const
| virtual

Clone.

Reimplemented from CoinMessageHandler.

## Member Data Documentation

ClpSimplex* MyMessageHandler::model_
| protected

Pointer back to model.

Definition at line 75 of file MyMessageHandler.hpp.

std::deque<StdVectorDouble> MyMessageHandler::feasibleExtremePoints_
| protected

Saved extreme points.

Definition at line 77 of file MyMessageHandler.hpp.

int MyMessageHandler::iterationNumber_
| protected

Iteration number so won't do same one twice.

Definition at line 79 of file MyMessageHandler.hpp.

The documentation for this class was generated from the following file:

- /tmp/CHiPPS-Blis-0.94.3/Clp/src/MyMessageHandler.hpp